#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/kwallet/client
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdecore
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions (
    -DKDE_NO_COMPAT
    -DQT_NO_COMPAT
    -DQT_NO_ASCII_CAST
)

tde_add_check_executable( kwalletsync  AUTOMOC LINK kwalletclient-shared )
tde_add_check_executable( kwalletasync AUTOMOC
    SOURCES kwalletasync.cpp kwallettest.cpp
    LINK kwalletclient-shared )
tde_add_check_executable( kwalletaboth AUTOMOC
    SOURCES kwalletboth.cpp kwallettest.cpp
    LINK kwalletclient-shared )
